Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network241.4.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
241.4.0.0
Broadcast address
241.5.255.255
First usable
241.4.0.1
Last usable
241.5.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F1040000 · Integer 4043571200 to 4043702271
Reverse DNS zones
4.241.in-addr.arpa
5.241.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110001.00000100.00000000.00000000241.4.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network11110001.00000100.00000000.00000000241.4.0.0
Broadcast11110001.00000101.11111111.11111111241.5.255.255
Split into smaller subnets/27

241.4.0.0/15 makes 4,096 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1241.4.0.0/27241.4.0.1 to 241.4.0.30241.4.0.3130
2241.4.0.32/27241.4.0.33 to 241.4.0.62241.4.0.6330
3241.4.0.64/27241.4.0.65 to 241.4.0.94241.4.0.9530
4241.4.0.96/27241.4.0.97 to 241.4.0.126241.4.0.12730
5241.4.0.128/27241.4.0.129 to 241.4.0.158241.4.0.15930
6241.4.0.160/27241.4.0.161 to 241.4.0.190241.4.0.19130
7241.4.0.192/27241.4.0.193 to 241.4.0.222241.4.0.22330
8241.4.0.224/27241.4.0.225 to 241.4.0.254241.4.0.25530
9241.4.1.0/27241.4.1.1 to 241.4.1.30241.4.1.3130
10241.4.1.32/27241.4.1.33 to 241.4.1.62241.4.1.6330
11241.4.1.64/27241.4.1.65 to 241.4.1.94241.4.1.9530
12241.4.1.96/27241.4.1.97 to 241.4.1.126241.4.1.12730
13241.4.1.128/27241.4.1.129 to 241.4.1.158241.4.1.15930
14241.4.1.160/27241.4.1.161 to 241.4.1.190241.4.1.19130
15241.4.1.192/27241.4.1.193 to 241.4.1.222241.4.1.22330
16241.4.1.224/27241.4.1.225 to 241.4.1.254241.4.1.25530
17241.4.2.0/27241.4.2.1 to 241.4.2.30241.4.2.3130
18241.4.2.32/27241.4.2.33 to 241.4.2.62241.4.2.6330
19241.4.2.64/27241.4.2.65 to 241.4.2.94241.4.2.9530
20241.4.2.96/27241.4.2.97 to 241.4.2.126241.4.2.12730
21241.4.2.128/27241.4.2.129 to 241.4.2.158241.4.2.15930
22241.4.2.160/27241.4.2.161 to 241.4.2.190241.4.2.19130
23241.4.2.192/27241.4.2.193 to 241.4.2.222241.4.2.22330
24241.4.2.224/27241.4.2.225 to 241.4.2.254241.4.2.25530
25241.4.3.0/27241.4.3.1 to 241.4.3.30241.4.3.3130
26241.4.3.32/27241.4.3.33 to 241.4.3.62241.4.3.6330
27241.4.3.64/27241.4.3.65 to 241.4.3.94241.4.3.9530
28241.4.3.96/27241.4.3.97 to 241.4.3.126241.4.3.12730
29241.4.3.128/27241.4.3.129 to 241.4.3.158241.4.3.15930
30241.4.3.160/27241.4.3.161 to 241.4.3.190241.4.3.19130
31241.4.3.192/27241.4.3.193 to 241.4.3.222241.4.3.22330
32241.4.3.224/27241.4.3.225 to 241.4.3.254241.4.3.25530
33241.4.4.0/27241.4.4.1 to 241.4.4.30241.4.4.3130
34241.4.4.32/27241.4.4.33 to 241.4.4.62241.4.4.6330
35241.4.4.64/27241.4.4.65 to 241.4.4.94241.4.4.9530
36241.4.4.96/27241.4.4.97 to 241.4.4.126241.4.4.12730
37241.4.4.128/27241.4.4.129 to 241.4.4.158241.4.4.15930
38241.4.4.160/27241.4.4.161 to 241.4.4.190241.4.4.19130
39241.4.4.192/27241.4.4.193 to 241.4.4.222241.4.4.22330
40241.4.4.224/27241.4.4.225 to 241.4.4.254241.4.4.25530
41241.4.5.0/27241.4.5.1 to 241.4.5.30241.4.5.3130
42241.4.5.32/27241.4.5.33 to 241.4.5.62241.4.5.6330
43241.4.5.64/27241.4.5.65 to 241.4.5.94241.4.5.9530
44241.4.5.96/27241.4.5.97 to 241.4.5.126241.4.5.12730
45241.4.5.128/27241.4.5.129 to 241.4.5.158241.4.5.15930
46241.4.5.160/27241.4.5.161 to 241.4.5.190241.4.5.19130
47241.4.5.192/27241.4.5.193 to 241.4.5.222241.4.5.22330
48241.4.5.224/27241.4.5.225 to 241.4.5.254241.4.5.25530
49241.4.6.0/27241.4.6.1 to 241.4.6.30241.4.6.3130
50241.4.6.32/27241.4.6.33 to 241.4.6.62241.4.6.6330
51241.4.6.64/27241.4.6.65 to 241.4.6.94241.4.6.9530
52241.4.6.96/27241.4.6.97 to 241.4.6.126241.4.6.12730
53241.4.6.128/27241.4.6.129 to 241.4.6.158241.4.6.15930
54241.4.6.160/27241.4.6.161 to 241.4.6.190241.4.6.19130
55241.4.6.192/27241.4.6.193 to 241.4.6.222241.4.6.22330
56241.4.6.224/27241.4.6.225 to 241.4.6.254241.4.6.25530
57241.4.7.0/27241.4.7.1 to 241.4.7.30241.4.7.3130
58241.4.7.32/27241.4.7.33 to 241.4.7.62241.4.7.6330
59241.4.7.64/27241.4.7.65 to 241.4.7.94241.4.7.9530
60241.4.7.96/27241.4.7.97 to 241.4.7.126241.4.7.12730
61241.4.7.128/27241.4.7.129 to 241.4.7.158241.4.7.15930
62241.4.7.160/27241.4.7.161 to 241.4.7.190241.4.7.19130
63241.4.7.192/27241.4.7.193 to 241.4.7.222241.4.7.22330
64241.4.7.224/27241.4.7.225 to 241.4.7.254241.4.7.25530
65241.4.8.0/27241.4.8.1 to 241.4.8.30241.4.8.3130
66241.4.8.32/27241.4.8.33 to 241.4.8.62241.4.8.6330
67241.4.8.64/27241.4.8.65 to 241.4.8.94241.4.8.9530
68241.4.8.96/27241.4.8.97 to 241.4.8.126241.4.8.12730
69241.4.8.128/27241.4.8.129 to 241.4.8.158241.4.8.15930
70241.4.8.160/27241.4.8.161 to 241.4.8.190241.4.8.19130
71241.4.8.192/27241.4.8.193 to 241.4.8.222241.4.8.22330
72241.4.8.224/27241.4.8.225 to 241.4.8.254241.4.8.25530
73241.4.9.0/27241.4.9.1 to 241.4.9.30241.4.9.3130
74241.4.9.32/27241.4.9.33 to 241.4.9.62241.4.9.6330
75241.4.9.64/27241.4.9.65 to 241.4.9.94241.4.9.9530
76241.4.9.96/27241.4.9.97 to 241.4.9.126241.4.9.12730
77241.4.9.128/27241.4.9.129 to 241.4.9.158241.4.9.15930
78241.4.9.160/27241.4.9.161 to 241.4.9.190241.4.9.19130
79241.4.9.192/27241.4.9.193 to 241.4.9.222241.4.9.22330
80241.4.9.224/27241.4.9.225 to 241.4.9.254241.4.9.25530
81241.4.10.0/27241.4.10.1 to 241.4.10.30241.4.10.3130
82241.4.10.32/27241.4.10.33 to 241.4.10.62241.4.10.6330
83241.4.10.64/27241.4.10.65 to 241.4.10.94241.4.10.9530
84241.4.10.96/27241.4.10.97 to 241.4.10.126241.4.10.12730
85241.4.10.128/27241.4.10.129 to 241.4.10.158241.4.10.15930
86241.4.10.160/27241.4.10.161 to 241.4.10.190241.4.10.19130
87241.4.10.192/27241.4.10.193 to 241.4.10.222241.4.10.22330
88241.4.10.224/27241.4.10.225 to 241.4.10.254241.4.10.25530
89241.4.11.0/27241.4.11.1 to 241.4.11.30241.4.11.3130
90241.4.11.32/27241.4.11.33 to 241.4.11.62241.4.11.6330
91241.4.11.64/27241.4.11.65 to 241.4.11.94241.4.11.9530
92241.4.11.96/27241.4.11.97 to 241.4.11.126241.4.11.12730
93241.4.11.128/27241.4.11.129 to 241.4.11.158241.4.11.15930
94241.4.11.160/27241.4.11.161 to 241.4.11.190241.4.11.19130
95241.4.11.192/27241.4.11.193 to 241.4.11.222241.4.11.22330
96241.4.11.224/27241.4.11.225 to 241.4.11.254241.4.11.25530
97241.4.12.0/27241.4.12.1 to 241.4.12.30241.4.12.3130
98241.4.12.32/27241.4.12.33 to 241.4.12.62241.4.12.6330
99241.4.12.64/27241.4.12.65 to 241.4.12.94241.4.12.9530
100241.4.12.96/27241.4.12.97 to 241.4.12.126241.4.12.12730
101241.4.12.128/27241.4.12.129 to 241.4.12.158241.4.12.15930
102241.4.12.160/27241.4.12.161 to 241.4.12.190241.4.12.19130
103241.4.12.192/27241.4.12.193 to 241.4.12.222241.4.12.22330
104241.4.12.224/27241.4.12.225 to 241.4.12.254241.4.12.25530
105241.4.13.0/27241.4.13.1 to 241.4.13.30241.4.13.3130
106241.4.13.32/27241.4.13.33 to 241.4.13.62241.4.13.6330
107241.4.13.64/27241.4.13.65 to 241.4.13.94241.4.13.9530
108241.4.13.96/27241.4.13.97 to 241.4.13.126241.4.13.12730
109241.4.13.128/27241.4.13.129 to 241.4.13.158241.4.13.15930
110241.4.13.160/27241.4.13.161 to 241.4.13.190241.4.13.19130
111241.4.13.192/27241.4.13.193 to 241.4.13.222241.4.13.22330
112241.4.13.224/27241.4.13.225 to 241.4.13.254241.4.13.25530
113241.4.14.0/27241.4.14.1 to 241.4.14.30241.4.14.3130
114241.4.14.32/27241.4.14.33 to 241.4.14.62241.4.14.6330
115241.4.14.64/27241.4.14.65 to 241.4.14.94241.4.14.9530
116241.4.14.96/27241.4.14.97 to 241.4.14.126241.4.14.12730
117241.4.14.128/27241.4.14.129 to 241.4.14.158241.4.14.15930
118241.4.14.160/27241.4.14.161 to 241.4.14.190241.4.14.19130
119241.4.14.192/27241.4.14.193 to 241.4.14.222241.4.14.22330
120241.4.14.224/27241.4.14.225 to 241.4.14.254241.4.14.25530
121241.4.15.0/27241.4.15.1 to 241.4.15.30241.4.15.3130
122241.4.15.32/27241.4.15.33 to 241.4.15.62241.4.15.6330
123241.4.15.64/27241.4.15.65 to 241.4.15.94241.4.15.9530
124241.4.15.96/27241.4.15.97 to 241.4.15.126241.4.15.12730
125241.4.15.128/27241.4.15.129 to 241.4.15.158241.4.15.15930
126241.4.15.160/27241.4.15.161 to 241.4.15.190241.4.15.19130
127241.4.15.192/27241.4.15.193 to 241.4.15.222241.4.15.22330
128241.4.15.224/27241.4.15.225 to 241.4.15.254241.4.15.25530
129241.4.16.0/27241.4.16.1 to 241.4.16.30241.4.16.3130
130241.4.16.32/27241.4.16.33 to 241.4.16.62241.4.16.6330
131241.4.16.64/27241.4.16.65 to 241.4.16.94241.4.16.9530
132241.4.16.96/27241.4.16.97 to 241.4.16.126241.4.16.12730
133241.4.16.128/27241.4.16.129 to 241.4.16.158241.4.16.15930
134241.4.16.160/27241.4.16.161 to 241.4.16.190241.4.16.19130
135241.4.16.192/27241.4.16.193 to 241.4.16.222241.4.16.22330
136241.4.16.224/27241.4.16.225 to 241.4.16.254241.4.16.25530
137241.4.17.0/27241.4.17.1 to 241.4.17.30241.4.17.3130
138241.4.17.32/27241.4.17.33 to 241.4.17.62241.4.17.6330
139241.4.17.64/27241.4.17.65 to 241.4.17.94241.4.17.9530
140241.4.17.96/27241.4.17.97 to 241.4.17.126241.4.17.12730
141241.4.17.128/27241.4.17.129 to 241.4.17.158241.4.17.15930
142241.4.17.160/27241.4.17.161 to 241.4.17.190241.4.17.19130
143241.4.17.192/27241.4.17.193 to 241.4.17.222241.4.17.22330
144241.4.17.224/27241.4.17.225 to 241.4.17.254241.4.17.25530
145241.4.18.0/27241.4.18.1 to 241.4.18.30241.4.18.3130
146241.4.18.32/27241.4.18.33 to 241.4.18.62241.4.18.6330
147241.4.18.64/27241.4.18.65 to 241.4.18.94241.4.18.9530
148241.4.18.96/27241.4.18.97 to 241.4.18.126241.4.18.12730
149241.4.18.128/27241.4.18.129 to 241.4.18.158241.4.18.15930
150241.4.18.160/27241.4.18.161 to 241.4.18.190241.4.18.19130
151241.4.18.192/27241.4.18.193 to 241.4.18.222241.4.18.22330
152241.4.18.224/27241.4.18.225 to 241.4.18.254241.4.18.25530
153241.4.19.0/27241.4.19.1 to 241.4.19.30241.4.19.3130
154241.4.19.32/27241.4.19.33 to 241.4.19.62241.4.19.6330
155241.4.19.64/27241.4.19.65 to 241.4.19.94241.4.19.9530
156241.4.19.96/27241.4.19.97 to 241.4.19.126241.4.19.12730
157241.4.19.128/27241.4.19.129 to 241.4.19.158241.4.19.15930
158241.4.19.160/27241.4.19.161 to 241.4.19.190241.4.19.19130
159241.4.19.192/27241.4.19.193 to 241.4.19.222241.4.19.22330
160241.4.19.224/27241.4.19.225 to 241.4.19.254241.4.19.25530
161241.4.20.0/27241.4.20.1 to 241.4.20.30241.4.20.3130
162241.4.20.32/27241.4.20.33 to 241.4.20.62241.4.20.6330
163241.4.20.64/27241.4.20.65 to 241.4.20.94241.4.20.9530
164241.4.20.96/27241.4.20.97 to 241.4.20.126241.4.20.12730
165241.4.20.128/27241.4.20.129 to 241.4.20.158241.4.20.15930
166241.4.20.160/27241.4.20.161 to 241.4.20.190241.4.20.19130
167241.4.20.192/27241.4.20.193 to 241.4.20.222241.4.20.22330
168241.4.20.224/27241.4.20.225 to 241.4.20.254241.4.20.25530
169241.4.21.0/27241.4.21.1 to 241.4.21.30241.4.21.3130
170241.4.21.32/27241.4.21.33 to 241.4.21.62241.4.21.6330
171241.4.21.64/27241.4.21.65 to 241.4.21.94241.4.21.9530
172241.4.21.96/27241.4.21.97 to 241.4.21.126241.4.21.12730
173241.4.21.128/27241.4.21.129 to 241.4.21.158241.4.21.15930
174241.4.21.160/27241.4.21.161 to 241.4.21.190241.4.21.19130
175241.4.21.192/27241.4.21.193 to 241.4.21.222241.4.21.22330
176241.4.21.224/27241.4.21.225 to 241.4.21.254241.4.21.25530
177241.4.22.0/27241.4.22.1 to 241.4.22.30241.4.22.3130
178241.4.22.32/27241.4.22.33 to 241.4.22.62241.4.22.6330
179241.4.22.64/27241.4.22.65 to 241.4.22.94241.4.22.9530
180241.4.22.96/27241.4.22.97 to 241.4.22.126241.4.22.12730
181241.4.22.128/27241.4.22.129 to 241.4.22.158241.4.22.15930
182241.4.22.160/27241.4.22.161 to 241.4.22.190241.4.22.19130
183241.4.22.192/27241.4.22.193 to 241.4.22.222241.4.22.22330
184241.4.22.224/27241.4.22.225 to 241.4.22.254241.4.22.25530
185241.4.23.0/27241.4.23.1 to 241.4.23.30241.4.23.3130
186241.4.23.32/27241.4.23.33 to 241.4.23.62241.4.23.6330
187241.4.23.64/27241.4.23.65 to 241.4.23.94241.4.23.9530
188241.4.23.96/27241.4.23.97 to 241.4.23.126241.4.23.12730
189241.4.23.128/27241.4.23.129 to 241.4.23.158241.4.23.15930
190241.4.23.160/27241.4.23.161 to 241.4.23.190241.4.23.19130
191241.4.23.192/27241.4.23.193 to 241.4.23.222241.4.23.22330
192241.4.23.224/27241.4.23.225 to 241.4.23.254241.4.23.25530
193241.4.24.0/27241.4.24.1 to 241.4.24.30241.4.24.3130
194241.4.24.32/27241.4.24.33 to 241.4.24.62241.4.24.6330
195241.4.24.64/27241.4.24.65 to 241.4.24.94241.4.24.9530
196241.4.24.96/27241.4.24.97 to 241.4.24.126241.4.24.12730
197241.4.24.128/27241.4.24.129 to 241.4.24.158241.4.24.15930
198241.4.24.160/27241.4.24.161 to 241.4.24.190241.4.24.19130
199241.4.24.192/27241.4.24.193 to 241.4.24.222241.4.24.22330
200241.4.24.224/27241.4.24.225 to 241.4.24.254241.4.24.25530
201241.4.25.0/27241.4.25.1 to 241.4.25.30241.4.25.3130
202241.4.25.32/27241.4.25.33 to 241.4.25.62241.4.25.6330
203241.4.25.64/27241.4.25.65 to 241.4.25.94241.4.25.9530
204241.4.25.96/27241.4.25.97 to 241.4.25.126241.4.25.12730
205241.4.25.128/27241.4.25.129 to 241.4.25.158241.4.25.15930
206241.4.25.160/27241.4.25.161 to 241.4.25.190241.4.25.19130
207241.4.25.192/27241.4.25.193 to 241.4.25.222241.4.25.22330
208241.4.25.224/27241.4.25.225 to 241.4.25.254241.4.25.25530
209241.4.26.0/27241.4.26.1 to 241.4.26.30241.4.26.3130
210241.4.26.32/27241.4.26.33 to 241.4.26.62241.4.26.6330
211241.4.26.64/27241.4.26.65 to 241.4.26.94241.4.26.9530
212241.4.26.96/27241.4.26.97 to 241.4.26.126241.4.26.12730
213241.4.26.128/27241.4.26.129 to 241.4.26.158241.4.26.15930
214241.4.26.160/27241.4.26.161 to 241.4.26.190241.4.26.19130
215241.4.26.192/27241.4.26.193 to 241.4.26.222241.4.26.22330
216241.4.26.224/27241.4.26.225 to 241.4.26.254241.4.26.25530
217241.4.27.0/27241.4.27.1 to 241.4.27.30241.4.27.3130
218241.4.27.32/27241.4.27.33 to 241.4.27.62241.4.27.6330
219241.4.27.64/27241.4.27.65 to 241.4.27.94241.4.27.9530
220241.4.27.96/27241.4.27.97 to 241.4.27.126241.4.27.12730
221241.4.27.128/27241.4.27.129 to 241.4.27.158241.4.27.15930
222241.4.27.160/27241.4.27.161 to 241.4.27.190241.4.27.19130
223241.4.27.192/27241.4.27.193 to 241.4.27.222241.4.27.22330
224241.4.27.224/27241.4.27.225 to 241.4.27.254241.4.27.25530
225241.4.28.0/27241.4.28.1 to 241.4.28.30241.4.28.3130
226241.4.28.32/27241.4.28.33 to 241.4.28.62241.4.28.6330
227241.4.28.64/27241.4.28.65 to 241.4.28.94241.4.28.9530
228241.4.28.96/27241.4.28.97 to 241.4.28.126241.4.28.12730
229241.4.28.128/27241.4.28.129 to 241.4.28.158241.4.28.15930
230241.4.28.160/27241.4.28.161 to 241.4.28.190241.4.28.19130
231241.4.28.192/27241.4.28.193 to 241.4.28.222241.4.28.22330
232241.4.28.224/27241.4.28.225 to 241.4.28.254241.4.28.25530
233241.4.29.0/27241.4.29.1 to 241.4.29.30241.4.29.3130
234241.4.29.32/27241.4.29.33 to 241.4.29.62241.4.29.6330
235241.4.29.64/27241.4.29.65 to 241.4.29.94241.4.29.9530
236241.4.29.96/27241.4.29.97 to 241.4.29.126241.4.29.12730
237241.4.29.128/27241.4.29.129 to 241.4.29.158241.4.29.15930
238241.4.29.160/27241.4.29.161 to 241.4.29.190241.4.29.19130
239241.4.29.192/27241.4.29.193 to 241.4.29.222241.4.29.22330
240241.4.29.224/27241.4.29.225 to 241.4.29.254241.4.29.25530
241241.4.30.0/27241.4.30.1 to 241.4.30.30241.4.30.3130
242241.4.30.32/27241.4.30.33 to 241.4.30.62241.4.30.6330
243241.4.30.64/27241.4.30.65 to 241.4.30.94241.4.30.9530
244241.4.30.96/27241.4.30.97 to 241.4.30.126241.4.30.12730
245241.4.30.128/27241.4.30.129 to 241.4.30.158241.4.30.15930
246241.4.30.160/27241.4.30.161 to 241.4.30.190241.4.30.19130
247241.4.30.192/27241.4.30.193 to 241.4.30.222241.4.30.22330
248241.4.30.224/27241.4.30.225 to 241.4.30.254241.4.30.25530
249241.4.31.0/27241.4.31.1 to 241.4.31.30241.4.31.3130
250241.4.31.32/27241.4.31.33 to 241.4.31.62241.4.31.6330
251241.4.31.64/27241.4.31.65 to 241.4.31.94241.4.31.9530
252241.4.31.96/27241.4.31.97 to 241.4.31.126241.4.31.12730
253241.4.31.128/27241.4.31.129 to 241.4.31.158241.4.31.15930
254241.4.31.160/27241.4.31.161 to 241.4.31.190241.4.31.19130
255241.4.31.192/27241.4.31.193 to 241.4.31.222241.4.31.22330
256241.4.31.224/27241.4.31.225 to 241.4.31.254241.4.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses